<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Entity;

use Sylius\Component\Customer\Model\CustomerInterface;

interface CommentInterface
{
    public const STATUS_NEW = 'new';

    public const STATUS_ACCEPTED = 'accepted';

    public const STATUS_REJECTED = 'rejected';

    public function getContent();

    public function setContent(string $content);

    public function getArticle(): ArticleInterface;

    public function setArticle(ArticleInterface $article): self;

    public function getCustomer(): ?CustomerInterface;

    public function setCustomer(?CustomerInterface $customer): self;
}
